#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x00000EE8, "_module_flags");
  MakeDword(0x00000EE8);
  MakeName(0x00000EEC, "_module_name");
  MakeStr(0x00000EEC, BADADDR);
  MakeName(0x00000F08, "_module_gp");
  MakeDword(0x00000F08);
  MakeName(0x00000F0C, "_module_exports");
  MakeDword(0x00000F0C);
  OpOff(0x00000F0C, 0, 0);
  MakeName(0x00000F10, "_module_exp_end");
  MakeDword(0x00000F10);
  OpOff(0x00000F10, 0, 0);
  MakeName(0x00000F14, "_module_imports");
  MakeDword(0x00000F14);
  OpOff(0x00000F14, 0, 0);
  MakeName(0x00000F18, "_module_imp_end");
  MakeDword(0x00000F18);
  OpOff(0x00000F18, 0, 0);
}

static createImports() {
  MakeName(0x00000EBC, "import0");
  MakeDword(0x00000EBC);
  OpOff(0x00000EBC, 0, 0);
  MakeName(0x00000F20, "import0_name");
  MakeStr(0x00000F20, BADADDR);
  MakeName(0x00000EC0, "import0_flags");
  MakeDword(0x00000EC0);
  MakeName(0x00000EC4, "import0_counts");
  MakeDword(0x00000EC4);
  MakeName(0x00000EC8, "import0_nids");
  MakeDword(0x00000EC8);
  OpOff(0x00000EC8, 0, 0);
  MakeName(0x00000ECC, "import0_funcs");
  MakeDword(0x00000ECC);
  OpOff(0x00000ECC, 0, 0);
  MakeName(0x00000FA0, "import0_sceKernelGetCompiledSdkVersion");
  MakeDword(0x00000FA0);
  MakeName(0x00000E6C, "sceKernelGetCompiledSdkVersion");
  MakeFunction(0x00000E6C, BADADDR);
  MakeName(0x00000ED0, "import1");
  MakeDword(0x00000ED0);
  OpOff(0x00000ED0, 0, 0);
  MakeName(0x00000F34, "import1_name");
  MakeStr(0x00000F34, BADADDR);
  MakeName(0x00000ED4, "import1_flags");
  MakeDword(0x00000ED4);
  MakeName(0x00000ED8, "import1_counts");
  MakeDword(0x00000ED8);
  MakeName(0x00000EDC, "import1_nids");
  MakeDword(0x00000EDC);
  OpOff(0x00000EDC, 0, 0);
  MakeName(0x00000EE0, "import1_funcs");
  MakeDword(0x00000EE0);
  OpOff(0x00000EE0, 0, 0);
  MakeName(0x00000F90, "import1_sceIoOpen");
  MakeDword(0x00000F90);
  MakeName(0x00000E4C, "sceIoOpen");
  MakeFunction(0x00000E4C, BADADDR);
  MakeName(0x00000F94, "import1_sceIoLseek");
  MakeDword(0x00000F94);
  MakeName(0x00000E54, "sceIoLseek");
  MakeFunction(0x00000E54, BADADDR);
  MakeName(0x00000F98, "import1_sceIoRead");
  MakeDword(0x00000F98);
  MakeName(0x00000E5C, "sceIoRead");
  MakeFunction(0x00000E5C, BADADDR);
  MakeName(0x00000F9C, "import1_sceIoClose");
  MakeDword(0x00000F9C);
  MakeName(0x00000E64, "sceIoClose");
  MakeFunction(0x00000E64, BADADDR);
}

static createExports() {
  MakeName(0x00000E84, "export_0");
  MakeDword(0x00000E84);
  MakeName(0x00000E88, "export_0_flags");
  MakeDword(0x00000E88);
  MakeName(0x00000E8C, "export_0_counts");
  MakeDword(0x00000E8C);
  MakeName(0x00000E90, "export_0_exports");
  MakeDword(0x00000E90);
  OpOff(0x00000E90, 0, 0);
  MakeName(0x00000F48, "export_0_module_info");
  MakeDword(0x00000F48);
  MakeName(0x00000F4C, "");
  MakeDword(0x00000F4C);
  OpOff(0x00000F4C, 0, 0);
  MakeName(0x00000E94, "export_1");
  MakeDword(0x00000E94);
  OpOff(0x00000E94, 0, 0);
  MakeName(0x00000F50, "export_1_name");
  MakeStr(0x00000F50, BADADDR);
  MakeName(0x00000E98, "export_1_flags");
  MakeDword(0x00000E98);
  MakeName(0x00000E9C, "export_1_counts");
  MakeDword(0x00000E9C);
  MakeName(0x00000EA0, "export_1_exports");
  MakeDword(0x00000EA0);
  OpOff(0x00000EA0, 0, 0);
  MakeName(0x00000F68, "export_1_sceLoadCertInit");
  MakeDword(0x00000F68);
  MakeName(0x00000F70, "");
  MakeDword(0x00000F70);
  OpOff(0x00000F70, 0, 0);
  MakeName(0x000005A0, "sceLoadCertInit");
  MakeFunction(0x000005A0, BADADDR);
  MakeName(0x00000F6C, "export_1_sceLoadCertEnd");
  MakeDword(0x00000F6C);
  MakeName(0x00000F74, "");
  MakeDword(0x00000F74);
  OpOff(0x00000F74, 0, 0);
  MakeName(0x000005A8, "sceLoadCertEnd");
  MakeFunction(0x000005A8, BADADDR);
  MakeName(0x00000EA4, "export_2");
  MakeDword(0x00000EA4);
  OpOff(0x00000EA4, 0, 0);
  MakeName(0x00000F78, "export_2_name");
  MakeStr(0x00000F78, BADADDR);
  MakeName(0x00000EA8, "export_2_flags");
  MakeDword(0x00000EA8);
  MakeName(0x00000EAC, "export_2_counts");
  MakeDword(0x00000EAC);
  MakeName(0x00000EB0, "export_2_exports");
  MakeDword(0x00000EB0);
  OpOff(0x00000EB0, 0, 0);
  MakeName(0x00000F88, "export_2_sceLoadCertFromFlash");
  MakeDword(0x00000F88);
  MakeName(0x00000F8C, "");
  MakeDword(0x00000F8C);
  OpOff(0x00000F8C, 0, 0);
  MakeName(0x00000000, "sceLoadCertFromFlash");
  MakeFunction(0x00000000, BADADDR);
}

static createRelocs() {
}

