#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x000033BC, "_module_flags");
  MakeDword(0x000033BC);
  MakeName(0x000033C0, "_module_name");
  MakeStr(0x000033C0, BADADDR);
  MakeName(0x000033DC, "_module_gp");
  MakeDword(0x000033DC);
  MakeName(0x000033E0, "_module_exports");
  MakeDword(0x000033E0);
  OpOff(0x000033E0, 0, 0);
  MakeName(0x000033E4, "_module_exp_end");
  MakeDword(0x000033E4);
  OpOff(0x000033E4, 0, 0);
  MakeName(0x000033E8, "_module_imports");
  MakeDword(0x000033E8);
  OpOff(0x000033E8, 0, 0);
  MakeName(0x000033EC, "_module_imp_end");
  MakeDword(0x000033EC);
  OpOff(0x000033EC, 0, 0);
}

static createImports() {
  MakeName(0x00003390, "import0");
  MakeDword(0x00003390);
  OpOff(0x00003390, 0, 0);
  MakeName(0x000033F4, "import0_name");
  MakeStr(0x000033F4, BADADDR);
  MakeName(0x00003394, "import0_flags");
  MakeDword(0x00003394);
  MakeName(0x00003398, "import0_counts");
  MakeDword(0x00003398);
  MakeName(0x0000339C, "import0_nids");
  MakeDword(0x0000339C);
  OpOff(0x0000339C, 0, 0);
  MakeName(0x000033A0, "import0_funcs");
  MakeDword(0x000033A0);
  OpOff(0x000033A0, 0, 0);
  MakeName(0x00003558, "import0_sceKernelCpuSuspendIntr");
  MakeDword(0x00003558);
  MakeName(0x00003314, "sceKernelCpuSuspendIntr");
  MakeFunction(0x00003314, BADADDR);
  MakeName(0x0000355C, "import0_sceKernelCpuResumeIntr");
  MakeDword(0x0000355C);
  MakeName(0x0000331C, "sceKernelCpuResumeIntr");
  MakeFunction(0x0000331C, BADADDR);
  MakeName(0x000033A4, "import1");
  MakeDword(0x000033A4);
  OpOff(0x000033A4, 0, 0);
  MakeName(0x00003408, "import1_name");
  MakeStr(0x00003408, BADADDR);
  MakeName(0x000033A8, "import1_flags");
  MakeDword(0x000033A8);
  MakeName(0x000033AC, "import1_counts");
  MakeDword(0x000033AC);
  MakeName(0x000033B0, "import1_nids");
  MakeDword(0x000033B0);
  OpOff(0x000033B0, 0, 0);
  MakeName(0x000033B4, "import1_funcs");
  MakeDword(0x000033B4);
  OpOff(0x000033B4, 0, 0);
  MakeName(0x00003560, "import1_sceAudiocodecReleaseEDRAM");
  MakeDword(0x00003560);
  MakeName(0x00003324, "sceAudiocodecReleaseEDRAM");
  MakeFunction(0x00003324, BADADDR);
  MakeName(0x00003564, "import1_sceAudiocodecGetEDRAM");
  MakeDword(0x00003564);
  MakeName(0x0000332C, "sceAudiocodecGetEDRAM");
  MakeFunction(0x0000332C, BADADDR);
  MakeName(0x00003568, "import1_sceAudiocodec_3DD7EE1A");
  MakeDword(0x00003568);
  MakeName(0x00003334, "sceAudiocodec_3DD7EE1A");
  MakeFunction(0x00003334, BADADDR);
  MakeName(0x0000356C, "import1_sceAudiocodecInit");
  MakeDword(0x0000356C);
  MakeName(0x0000333C, "sceAudiocodecInit");
  MakeFunction(0x0000333C, BADADDR);
  MakeName(0x00003570, "import1_sceAudiocodecDecode");
  MakeDword(0x00003570);
  MakeName(0x00003344, "sceAudiocodecDecode");
  MakeFunction(0x00003344, BADADDR);
  MakeName(0x00003574, "import1_sceAudiocodeCheckNeedMem");
  MakeDword(0x00003574);
  MakeName(0x0000334C, "sceAudiocodeCheckNeedMem");
  MakeFunction(0x0000334C, BADADDR);
}

static createExports() {
  MakeName(0x00003364, "export_0");
  MakeDword(0x00003364);
  MakeName(0x00003368, "export_0_flags");
  MakeDword(0x00003368);
  MakeName(0x0000336C, "export_0_counts");
  MakeDword(0x0000336C);
  MakeName(0x00003370, "export_0_exports");
  MakeDword(0x00003370);
  OpOff(0x00003370, 0, 0);
  MakeName(0x00003418, "export_0_module_start");
  MakeDword(0x00003418);
  MakeName(0x00003424, "");
  MakeDword(0x00003424);
  OpOff(0x00003424, 0, 0);
  MakeName(0x00001054, "module_start");
  MakeFunction(0x00001054, BADADDR);
  MakeName(0x0000341C, "export_0_module_stop");
  MakeDword(0x0000341C);
  MakeName(0x00003428, "");
  MakeDword(0x00003428);
  OpOff(0x00003428, 0, 0);
  MakeName(0x00001078, "module_stop");
  MakeFunction(0x00001078, BADADDR);
  MakeName(0x00003420, "export_0_module_info");
  MakeDword(0x00003420);
  MakeName(0x0000342C, "");
  MakeDword(0x0000342C);
  OpOff(0x0000342C, 0, 0);
  MakeName(0x00003374, "export_1");
  MakeDword(0x00003374);
  OpOff(0x00003374, 0, 0);
  MakeName(0x00003430, "export_1_name");
  MakeStr(0x00003430, BADADDR);
  MakeName(0x00003378, "export_1_flags");
  MakeDword(0x00003378);
  MakeName(0x0000337C, "export_1_counts");
  MakeDword(0x0000337C);
  MakeName(0x00003380, "export_1_exports");
  MakeDword(0x00003380);
  OpOff(0x00003380, 0, 0);
  MakeName(0x00003440, "export_1_sceAtracSetData");
  MakeDword(0x00003440);
  MakeName(0x000034BC, "");
  MakeDword(0x000034BC);
  OpOff(0x000034BC, 0, 0);
  MakeName(0x00001130, "sceAtracSetData");
  MakeFunction(0x00001130, BADADDR);
  MakeName(0x00003444, "export_1_sceAtracSetHalfwayBufferAndGetID");
  MakeDword(0x00003444);
  MakeName(0x000034C0, "");
  MakeDword(0x000034C0);
  OpOff(0x000034C0, 0, 0);
  MakeName(0x00000324, "sceAtracSetHalfwayBufferAndGetID");
  MakeFunction(0x00000324, BADADDR);
  MakeName(0x00003448, "export_1_sceAtracReinit");
  MakeDword(0x00003448);
  MakeName(0x000034C4, "");
  MakeDword(0x000034C4);
  OpOff(0x000034C4, 0, 0);
  MakeName(0x00000000, "sceAtracReinit");
  MakeFunction(0x00000000, BADADDR);
  MakeName(0x0000344C, "export_1_sceAtrac3plus_2DD3E298");
  MakeDword(0x0000344C);
  MakeName(0x000034C8, "");
  MakeDword(0x000034C8);
  OpOff(0x000034C8, 0, 0);
  MakeName(0x00000C38, "sceAtrac3plus_2DD3E298");
  MakeFunction(0x00000C38, BADADDR);
  MakeName(0x00003450, "export_1_sceAtracGetChannel");
  MakeDword(0x00003450);
  MakeName(0x000034CC, "");
  MakeDword(0x000034CC);
  OpOff(0x000034CC, 0, 0);
  MakeName(0x00001224, "sceAtracGetChannel");
  MakeFunction(0x00001224, BADADDR);
  MakeName(0x00003454, "export_1_sceAtracGetNextSample");
  MakeDword(0x00003454);
  MakeName(0x000034D0, "");
  MakeDword(0x000034D0);
  OpOff(0x000034D0, 0, 0);
  MakeName(0x00001348, "sceAtracGetNextSample");
  MakeFunction(0x00001348, BADADDR);
  MakeName(0x00003458, "export_1_sceAtracSetHalfwayBuffer");
  MakeDword(0x00003458);
  MakeName(0x000034D4, "");
  MakeDword(0x000034D4);
  OpOff(0x000034D4, 0, 0);
  MakeName(0x00000238, "sceAtracSetHalfwayBuffer");
  MakeFunction(0x00000238, BADADDR);
  MakeName(0x0000345C, "export_1_sceAtracSetMOutHalfwayBuffer");
  MakeDword(0x0000345C);
  MakeName(0x000034D8, "");
  MakeDword(0x000034D8);
  OpOff(0x000034D8, 0, 0);
  MakeName(0x00000418, "sceAtracSetMOutHalfwayBuffer");
  MakeFunction(0x00000418, BADADDR);
  MakeName(0x00003460, "export_1_sceAtracGetStreamDataInfo");
  MakeDword(0x00003460);
  MakeName(0x000034DC, "");
  MakeDword(0x000034DC);
  OpOff(0x000034DC, 0, 0);
  MakeName(0x0000073C, "sceAtracGetStreamDataInfo");
  MakeFunction(0x0000073C, BADADDR);
  MakeName(0x00003464, "export_1_sceAtracReleaseAtracID");
  MakeDword(0x00003464);
  MakeName(0x000034E0, "");
  MakeDword(0x000034E0);
  OpOff(0x000034E0, 0, 0);
  MakeName(0x000010B0, "sceAtracReleaseAtracID");
  MakeFunction(0x000010B0, BADADDR);
  MakeName(0x00003468, "export_1_sceAtracResetPlayPosition");
  MakeDword(0x00003468);
  MakeName(0x000034E4, "");
  MakeDword(0x000034E4);
  OpOff(0x000034E4, 0, 0);
  MakeName(0x00000CF0, "sceAtracResetPlayPosition");
  MakeFunction(0x00000CF0, BADADDR);
  MakeName(0x0000346C, "export_1_sceAtracDecodeData");
  MakeDword(0x0000346C);
  MakeName(0x000034E8, "");
  MakeDword(0x000034E8);
  OpOff(0x000034E8, 0, 0);
  MakeName(0x000005F8, "sceAtracDecodeData");
  MakeFunction(0x000005F8, BADADDR);
  MakeName(0x00003470, "export_1_sceAtracGetAtracID");
  MakeDword(0x00003470);
  MakeName(0x000034EC, "");
  MakeDword(0x000034EC);
  OpOff(0x000034EC, 0, 0);
  MakeName(0x00000194, "sceAtracGetAtracID");
  MakeFunction(0x00000194, BADADDR);
  MakeName(0x00003474, "export_1_sceAtracSetDataAndGetID");
  MakeDword(0x00003474);
  MakeName(0x000034F0, "");
  MakeDword(0x000034F0);
  OpOff(0x000034F0, 0, 0);
  MakeName(0x0000114C, "sceAtracSetDataAndGetID");
  MakeFunction(0x0000114C, BADADDR);
  MakeName(0x00003478, "export_1_sceAtracAddStreamData");
  MakeDword(0x00003478);
  MakeName(0x000034F4, "");
  MakeDword(0x000034F4);
  OpOff(0x000034F4, 0, 0);
  MakeName(0x00000840, "sceAtracAddStreamData");
  MakeFunction(0x00000840, BADADDR);
  MakeName(0x0000347C, "export_1_sceAtracSetSecondBuffer");
  MakeDword(0x0000347C);
  MakeName(0x000034F8, "");
  MakeDword(0x000034F8);
  OpOff(0x000034F8, 0, 0);
  MakeName(0x000009CC, "sceAtracSetSecondBuffer");
  MakeFunction(0x000009CC, BADADDR);
  MakeName(0x00003480, "export_1_sceAtracGetSecondBufferInfo");
  MakeDword(0x00003480);
  MakeName(0x000034FC, "");
  MakeDword(0x000034FC);
  OpOff(0x000034FC, 0, 0);
  MakeName(0x00000914, "sceAtracGetSecondBufferInfo");
  MakeFunction(0x00000914, BADADDR);
  MakeName(0x00003484, "export_1_sceAtracSetLoopNum");
  MakeDword(0x00003484);
  MakeName(0x00003500, "");
  MakeDword(0x00003500);
  OpOff(0x00003500, 0, 0);
  MakeName(0x00000BB8, "sceAtracSetLoopNum");
  MakeFunction(0x00000BB8, BADADDR);
  MakeName(0x00003488, "export_1_sceAtracGetRemainFrame");
  MakeDword(0x00003488);
  MakeName(0x00003504, "");
  MakeDword(0x00003504);
  OpOff(0x00003504, 0, 0);
  MakeName(0x00001168, "sceAtracGetRemainFrame");
  MakeFunction(0x00001168, BADADDR);
  MakeName(0x0000348C, "export_1_sceAtracSetMOutHalfwayBufferAndGetID");
  MakeDword(0x0000348C);
  MakeName(0x00003508, "");
  MakeDword(0x00003508);
  OpOff(0x00003508, 0, 0);
  MakeName(0x00000504, "sceAtracSetMOutHalfwayBufferAndGetID");
  MakeFunction(0x00000504, BADADDR);
  MakeName(0x00003490, "export_1_sceAtracGetSoundSample");
  MakeDword(0x00003490);
  MakeName(0x0000350C, "");
  MakeDword(0x0000350C);
  OpOff(0x0000350C, 0, 0);
  MakeName(0x00000AA0, "sceAtracGetSoundSample");
  MakeFunction(0x00000AA0, BADADDR);
  MakeName(0x00003494, "export_1_sceAtracGetBitrate");
  MakeDword(0x00003494);
  MakeName(0x00003510, "");
  MakeDword(0x00003510);
  OpOff(0x00003510, 0, 0);
  MakeName(0x000013BC, "sceAtracGetBitrate");
  MakeFunction(0x000013BC, BADADDR);
  MakeName(0x00003498, "export_1_sceAtracGetOutputChannel");
  MakeDword(0x00003498);
  MakeName(0x00003514, "");
  MakeDword(0x00003514);
  OpOff(0x00003514, 0, 0);
  MakeName(0x00001274, "sceAtracGetOutputChannel");
  MakeFunction(0x00001274, BADADDR);
  MakeName(0x0000349C, "export_1_sceAtracGetBufferInfoForReseting");
  MakeDword(0x0000349C);
  MakeName(0x00003518, "");
  MakeDword(0x00003518);
  OpOff(0x00003518, 0, 0);
  MakeName(0x00000C38, "sceAtracGetBufferInfoForReseting");
  MakeFunction(0x00000C38, BADADDR);
  MakeName(0x000034A0, "export_1_sceAtracStartEntry");
  MakeDword(0x000034A0);
  MakeName(0x0000351C, "");
  MakeDword(0x0000351C);
  OpOff(0x0000351C, 0, 0);
  MakeName(0x00001054, "sceAtracStartEntry");
  MakeFunction(0x00001054, BADADDR);
  MakeName(0x000034A4, "export_1_sceAtracEndEntry");
  MakeDword(0x000034A4);
  MakeName(0x00003520, "");
  MakeDword(0x00003520);
  OpOff(0x00003520, 0, 0);
  MakeName(0x00001078, "sceAtracEndEntry");
  MakeFunction(0x00001078, BADADDR);
  MakeName(0x000034A8, "export_1_sceAtracGetMaxSample");
  MakeDword(0x000034A8);
  MakeName(0x00003524, "");
  MakeDword(0x00003524);
  OpOff(0x00003524, 0, 0);
  MakeName(0x000012EC, "sceAtracGetMaxSample");
  MakeFunction(0x000012EC, BADADDR);
  MakeName(0x000034AC, "export_1_sceAtracGetNextDecodePosition");
  MakeDword(0x000034AC);
  MakeName(0x00003528, "");
  MakeDword(0x00003528);
  OpOff(0x00003528, 0, 0);
  MakeName(0x00000B28, "sceAtracGetNextDecodePosition");
  MakeFunction(0x00000B28, BADADDR);
  MakeName(0x000034B0, "export_1_sceAtracGetInternalErrorInfo");
  MakeDword(0x000034B0);
  MakeName(0x0000352C, "");
  MakeDword(0x0000352C);
  OpOff(0x0000352C, 0, 0);
  MakeName(0x000014B8, "sceAtracGetInternalErrorInfo");
  MakeFunction(0x000014B8, BADADDR);
  MakeName(0x000034B4, "export_1_sceAtracIsSecondBufferNeeded");
  MakeDword(0x000034B4);
  MakeName(0x00003530, "");
  MakeDword(0x00003530);
  OpOff(0x00003530, 0, 0);
  MakeName(0x000011DC, "sceAtracIsSecondBufferNeeded");
  MakeFunction(0x000011DC, BADADDR);
  MakeName(0x000034B8, "export_1_sceAtracGetLoopStatus");
  MakeDword(0x000034B8);
  MakeName(0x00003534, "");
  MakeDword(0x00003534);
  OpOff(0x00003534, 0, 0);
  MakeName(0x00001430, "sceAtracGetLoopStatus");
  MakeFunction(0x00001430, BADADDR);
}

static createRelocs() {
}

