#include <idc.idc>

static main() {
   createModuleInfo();
   createExports(); 
   createImports(); 
   createRelocs();  
}

static createModuleInfo() {
  MakeName(0x00005500, "_module_flags");
  MakeDword(0x00005500);
  MakeName(0x00005504, "_module_name");
  MakeStr(0x00005504, BADADDR);
  MakeName(0x00005520, "_module_gp");
  MakeDword(0x00005520);
  MakeName(0x00005524, "_module_exports");
  MakeDword(0x00005524);
  OpOff(0x00005524, 0, 0);
  MakeName(0x00005528, "_module_exp_end");
  MakeDword(0x00005528);
  OpOff(0x00005528, 0, 0);
  MakeName(0x0000552C, "_module_imports");
  MakeDword(0x0000552C);
  OpOff(0x0000552C, 0, 0);
  MakeName(0x00005530, "_module_imp_end");
  MakeDword(0x00005530);
  OpOff(0x00005530, 0, 0);
}

static createImports() {
  MakeName(0x0000541C, "import0");
  MakeDword(0x0000541C);
  OpOff(0x0000541C, 0, 0);
  MakeName(0x00005538, "import0_name");
  MakeStr(0x00005538, BADADDR);
  MakeName(0x00005420, "import0_flags");
  MakeDword(0x00005420);
  MakeName(0x00005424, "import0_counts");
  MakeDword(0x00005424);
  MakeName(0x00005428, "import0_nids");
  MakeDword(0x00005428);
  OpOff(0x00005428, 0, 0);
  MakeName(0x0000542C, "import0_funcs");
  MakeDword(0x0000542C);
  OpOff(0x0000542C, 0, 0);
  MakeName(0x000056C0, "import0_sceKernelCpuSuspendIntr");
  MakeDword(0x000056C0);
  MakeName(0x00005140, "sceKernelCpuSuspendIntr");
  MakeFunction(0x00005140, BADADDR);
  MakeName(0x000056C4, "import0_sceKernelCpuResumeIntr");
  MakeDword(0x000056C4);
  MakeName(0x00005148, "sceKernelCpuResumeIntr");
  MakeFunction(0x00005148, BADADDR);
  MakeName(0x00005434, "import1");
  MakeDword(0x00005434);
  OpOff(0x00005434, 0, 0);
  MakeName(0x00005558, "import1_name");
  MakeStr(0x00005558, BADADDR);
  MakeName(0x00005438, "import1_flags");
  MakeDword(0x00005438);
  MakeName(0x0000543C, "import1_counts");
  MakeDword(0x0000543C);
  MakeName(0x00005440, "import1_nids");
  MakeDword(0x00005440);
  OpOff(0x00005440, 0, 0);
  MakeName(0x00005444, "import1_funcs");
  MakeDword(0x00005444);
  OpOff(0x00005444, 0, 0);
  MakeName(0x00005714, "import1_sceKernelDeleteSema");
  MakeDword(0x00005714);
  MakeName(0x000051E8, "sceKernelDeleteSema");
  MakeFunction(0x000051E8, BADADDR);
  MakeName(0x00005718, "import1_sceKernelSignalSema");
  MakeDword(0x00005718);
  MakeName(0x000051F0, "sceKernelSignalSema");
  MakeFunction(0x000051F0, BADADDR);
  MakeName(0x0000571C, "import1_sceKernelWaitSema");
  MakeDword(0x0000571C);
  MakeName(0x000051F8, "sceKernelWaitSema");
  MakeFunction(0x000051F8, BADADDR);
  MakeName(0x00005720, "import1_sceKernelExtendKernelStack");
  MakeDword(0x00005720);
  MakeName(0x00005200, "sceKernelExtendKernelStack");
  MakeFunction(0x00005200, BADADDR);
  MakeName(0x00005724, "import1_sceKernelDelayThread");
  MakeDword(0x00005724);
  MakeName(0x00005208, "sceKernelDelayThread");
  MakeFunction(0x00005208, BADADDR);
  MakeName(0x00005728, "import1_sceKernelCreateSema");
  MakeDword(0x00005728);
  MakeName(0x00005210, "sceKernelCreateSema");
  MakeFunction(0x00005210, BADADDR);
  MakeName(0x00005448, "import2");
  MakeDword(0x00005448);
  OpOff(0x00005448, 0, 0);
  MakeName(0x00005570, "import2_name");
  MakeStr(0x00005570, BADADDR);
  MakeName(0x0000544C, "import2_flags");
  MakeDword(0x0000544C);
  MakeName(0x00005450, "import2_counts");
  MakeDword(0x00005450);
  MakeName(0x00005454, "import2_nids");
  MakeDword(0x00005454);
  OpOff(0x00005454, 0, 0);
  MakeName(0x00005458, "import2_funcs");
  MakeDword(0x00005458);
  OpOff(0x00005458, 0, 0);
  MakeName(0x000056C8, "import2_sceIoDevctl");
  MakeDword(0x000056C8);
  MakeName(0x00005150, "sceIoDevctl");
  MakeFunction(0x00005150, BADADDR);
  MakeName(0x000056CC, "import2_sceIoAddDrv");
  MakeDword(0x000056CC);
  MakeName(0x00005158, "sceIoAddDrv");
  MakeFunction(0x00005158, BADADDR);
  MakeName(0x000056D0, "import2_sceIoDelDrv");
  MakeDword(0x000056D0);
  MakeName(0x00005160, "sceIoDelDrv");
  MakeFunction(0x00005160, BADADDR);
  MakeName(0x0000545C, "import3");
  MakeDword(0x0000545C);
  OpOff(0x0000545C, 0, 0);
  MakeName(0x00005588, "import3_name");
  MakeStr(0x00005588, BADADDR);
  MakeName(0x00005460, "import3_flags");
  MakeDword(0x00005460);
  MakeName(0x00005464, "import3_counts");
  MakeDword(0x00005464);
  MakeName(0x00005468, "import3_nids");
  MakeDword(0x00005468);
  OpOff(0x00005468, 0, 0);
  MakeName(0x0000546C, "import3_funcs");
  MakeDword(0x0000546C);
  OpOff(0x0000546C, 0, 0);
  MakeName(0x000056E8, "import3_memset");
  MakeDword(0x000056E8);
  MakeName(0x00005190, "memset");
  MakeFunction(0x00005190, BADADDR);
  MakeName(0x000056EC, "import3_look_ctype_table");
  MakeDword(0x000056EC);
  MakeName(0x00005198, "look_ctype_table");
  MakeFunction(0x00005198, BADADDR);
  MakeName(0x000056F0, "import3_strtol");
  MakeDword(0x000056F0);
  MakeName(0x000051A0, "strtol");
  MakeFunction(0x000051A0, BADADDR);
  MakeName(0x000056F4, "import3_strlen");
  MakeDword(0x000056F4);
  MakeName(0x000051A8, "strlen");
  MakeFunction(0x000051A8, BADADDR);
  MakeName(0x000056F8, "import3_sprintf");
  MakeDword(0x000056F8);
  MakeName(0x000051B0, "sprintf");
  MakeFunction(0x000051B0, BADADDR);
  MakeName(0x000056FC, "import3_strncmp");
  MakeDword(0x000056FC);
  MakeName(0x000051B8, "strncmp");
  MakeFunction(0x000051B8, BADADDR);
  MakeName(0x00005700, "import3_memcmp");
  MakeDword(0x00005700);
  MakeName(0x000051C0, "memcmp");
  MakeFunction(0x000051C0, BADADDR);
  MakeName(0x00005704, "import3_memmove");
  MakeDword(0x00005704);
  MakeName(0x000051C8, "memmove");
  MakeFunction(0x000051C8, BADADDR);
  MakeName(0x00005708, "import3_memcpy");
  MakeDword(0x00005708);
  MakeName(0x000051D0, "memcpy");
  MakeFunction(0x000051D0, BADADDR);
  MakeName(0x0000570C, "import3_strchr");
  MakeDword(0x0000570C);
  MakeName(0x000051D8, "strchr");
  MakeFunction(0x000051D8, BADADDR);
  MakeName(0x00005710, "import3_strcmp");
  MakeDword(0x00005710);
  MakeName(0x000051E0, "strcmp");
  MakeFunction(0x000051E0, BADADDR);
  MakeName(0x00005470, "import4");
  MakeDword(0x00005470);
  OpOff(0x00005470, 0, 0);
  MakeName(0x000055A0, "import4_name");
  MakeStr(0x000055A0, BADADDR);
  MakeName(0x00005474, "import4_flags");
  MakeDword(0x00005474);
  MakeName(0x00005478, "import4_counts");
  MakeDword(0x00005478);
  MakeName(0x0000547C, "import4_nids");
  MakeDword(0x0000547C);
  OpOff(0x0000547C, 0, 0);
  MakeName(0x00005480, "import4_funcs");
  MakeDword(0x00005480);
  OpOff(0x00005480, 0, 0);
  MakeName(0x000056D8, "import4_sceKernelCreateHeap");
  MakeDword(0x000056D8);
  MakeName(0x00005170, "sceKernelCreateHeap");
  MakeFunction(0x00005170, BADADDR);
  MakeName(0x000056DC, "import4_sceKernelAllocHeapMemory");
  MakeDword(0x000056DC);
  MakeName(0x00005178, "sceKernelAllocHeapMemory");
  MakeFunction(0x00005178, BADADDR);
  MakeName(0x000056E0, "import4_sceKernelFreeHeapMemory");
  MakeDword(0x000056E0);
  MakeName(0x00005180, "sceKernelFreeHeapMemory");
  MakeFunction(0x00005180, BADADDR);
  MakeName(0x000056E4, "import4_sceKernelDeleteHeap");
  MakeDword(0x000056E4);
  MakeName(0x00005188, "sceKernelDeleteHeap");
  MakeFunction(0x00005188, BADADDR);
  MakeName(0x00005484, "import5");
  MakeDword(0x00005484);
  OpOff(0x00005484, 0, 0);
  MakeName(0x000055B4, "import5_name");
  MakeStr(0x000055B4, BADADDR);
  MakeName(0x00005488, "import5_flags");
  MakeDword(0x00005488);
  MakeName(0x0000548C, "import5_counts");
  MakeDword(0x0000548C);
  MakeName(0x00005490, "import5_nids");
  MakeDword(0x00005490);
  OpOff(0x00005490, 0, 0);
  MakeName(0x00005494, "import5_funcs");
  MakeDword(0x00005494);
  OpOff(0x00005494, 0, 0);
  MakeName(0x00005750, "import5_sceBLKUnRegister");
  MakeDword(0x00005750);
  MakeName(0x00005260, "sceBLKUnRegister");
  MakeFunction(0x00005260, BADADDR);
  MakeName(0x00005754, "import5_sceBLKRegister");
  MakeDword(0x00005754);
  MakeName(0x00005268, "sceBLKRegister");
  MakeFunction(0x00005268, BADADDR);
  MakeName(0x00005498, "import6");
  MakeDword(0x00005498);
  OpOff(0x00005498, 0, 0);
  MakeName(0x000055C8, "import6_name");
  MakeStr(0x000055C8, BADADDR);
  MakeName(0x0000549C, "import6_flags");
  MakeDword(0x0000549C);
  MakeName(0x000054A0, "import6_counts");
  MakeDword(0x000054A0);
  MakeName(0x000054A4, "import6_nids");
  MakeDword(0x000054A4);
  OpOff(0x000054A4, 0, 0);
  MakeName(0x000054A8, "import6_funcs");
  MakeDword(0x000054A8);
  OpOff(0x000054A8, 0, 0);
  MakeName(0x000056D4, "import6_Kprintf");
  MakeDword(0x000056D4);
  MakeName(0x00005168, "Kprintf");
  MakeFunction(0x00005168, BADADDR);
  MakeName(0x000054AC, "import7");
  MakeDword(0x000054AC);
  OpOff(0x000054AC, 0, 0);
  MakeName(0x000055DC, "import7_name");
  MakeStr(0x000055DC, BADADDR);
  MakeName(0x000054B0, "import7_flags");
  MakeDword(0x000054B0);
  MakeName(0x000054B4, "import7_counts");
  MakeDword(0x000054B4);
  MakeName(0x000054B8, "import7_nids");
  MakeDword(0x000054B8);
  OpOff(0x000054B8, 0, 0);
  MakeName(0x000054BC, "import7_funcs");
  MakeDword(0x000054BC);
  OpOff(0x000054BC, 0, 0);
  MakeName(0x0000572C, "import7_sceKernelDcacheWritebackInvalidateRange");
  MakeDword(0x0000572C);
  MakeName(0x00005218, "sceKernelDcacheWritebackInvalidateRange");
  MakeFunction(0x00005218, BADADDR);
  MakeName(0x00005730, "import7_sceKernelDcacheInvalidateRange");
  MakeDword(0x00005730);
  MakeName(0x00005220, "sceKernelDcacheInvalidateRange");
  MakeFunction(0x00005220, BADADDR);
  MakeName(0x000054C0, "import8");
  MakeDword(0x000054C0);
  OpOff(0x000054C0, 0, 0);
  MakeName(0x000055F0, "import8_name");
  MakeStr(0x000055F0, BADADDR);
  MakeName(0x000054C4, "import8_flags");
  MakeDword(0x000054C4);
  MakeName(0x000054C8, "import8_counts");
  MakeDword(0x000054C8);
  MakeName(0x000054CC, "import8_nids");
  MakeDword(0x000054CC);
  OpOff(0x000054CC, 0, 0);
  MakeName(0x000054D0, "import8_funcs");
  MakeDword(0x000054D0);
  OpOff(0x000054D0, 0, 0);
  MakeName(0x00005758, "import8_sceUmdUnRegisterGetUMDInfoCallBack");
  MakeDword(0x00005758);
  MakeName(0x00005270, "sceUmdUnRegisterGetUMDInfoCallBack");
  MakeFunction(0x00005270, BADADDR);
  MakeName(0x0000575C, "import8_sceUmd_659587F7");
  MakeDword(0x0000575C);
  MakeName(0x00005278, "sceUmd_659587F7");
  MakeFunction(0x00005278, BADADDR);
  MakeName(0x00005760, "import8_sceUmdRegisterGetUMDInfoCallBack");
  MakeDword(0x00005760);
  MakeName(0x00005280, "sceUmdRegisterGetUMDInfoCallBack");
  MakeFunction(0x00005280, BADADDR);
  MakeName(0x00005764, "import8_sceUmdGetDriveStatus");
  MakeDword(0x00005764);
  MakeName(0x00005288, "sceUmdGetDriveStatus");
  MakeFunction(0x00005288, BADADDR);
  MakeName(0x000054D4, "import9");
  MakeDword(0x000054D4);
  OpOff(0x000054D4, 0, 0);
  MakeName(0x000055FC, "import9_name");
  MakeStr(0x000055FC, BADADDR);
  MakeName(0x000054D8, "import9_flags");
  MakeDword(0x000054D8);
  MakeName(0x000054DC, "import9_counts");
  MakeDword(0x000054DC);
  MakeName(0x000054E0, "import9_nids");
  MakeDword(0x000054E0);
  OpOff(0x000054E0, 0, 0);
  MakeName(0x000054E4, "import9_funcs");
  MakeDword(0x000054E4);
  OpOff(0x000054E4, 0, 0);
  MakeName(0x00005768, "import9_sceUmdManWaitSema");
  MakeDword(0x00005768);
  MakeName(0x00005290, "sceUmdManWaitSema");
  MakeFunction(0x00005290, BADADDR);
  MakeName(0x0000576C, "import9_sceUmdExecGetMediaInfoCmd");
  MakeDword(0x0000576C);
  MakeName(0x00005298, "sceUmdExecGetMediaInfoCmd");
  MakeFunction(0x00005298, BADADDR);
  MakeName(0x00005770, "import9_sceUmdExecPrefetch10Cmd");
  MakeDword(0x00005770);
  MakeName(0x000052A0, "sceUmdExecPrefetch10Cmd");
  MakeFunction(0x000052A0, BADADDR);
  MakeName(0x00005774, "import9_sceUmdExecRead10Cmd");
  MakeDword(0x00005774);
  MakeName(0x000052A8, "sceUmdExecRead10Cmd");
  MakeFunction(0x000052A8, BADADDR);
  MakeName(0x00005778, "import9_sceUmdMan_driver_1F9AFFF4");
  MakeDword(0x00005778);
  MakeName(0x000052B0, "sceUmdMan_driver_1F9AFFF4");
  MakeFunction(0x000052B0, BADADDR);
  MakeName(0x0000577C, "import9_sceUmdExecSeekCmd");
  MakeDword(0x0000577C);
  MakeName(0x000052B8, "sceUmdExecSeekCmd");
  MakeFunction(0x000052B8, BADADDR);
  MakeName(0x00005780, "import9_sceUmdExecModSenseCmd");
  MakeDword(0x00005780);
  MakeName(0x000052C0, "sceUmdExecModSenseCmd");
  MakeFunction(0x000052C0, BADADDR);
  MakeName(0x00005784, "import9_sceUmdExecReqSenseCmd");
  MakeDword(0x00005784);
  MakeName(0x000052C8, "sceUmdExecReqSenseCmd");
  MakeFunction(0x000052C8, BADADDR);
  MakeName(0x00005788, "import9_sceUmdMan_driver_39704B6E");
  MakeDword(0x00005788);
  MakeName(0x000052D0, "sceUmdMan_driver_39704B6E");
  MakeFunction(0x000052D0, BADADDR);
  MakeName(0x0000578C, "import9_sceUmdExecReadUMDStructureCmd");
  MakeDword(0x0000578C);
  MakeName(0x000052D8, "sceUmdExecReadUMDStructureCmd");
  MakeFunction(0x000052D8, BADADDR);
  MakeName(0x00005790, "import9_sceUmdManUnRegisterInsertEjectUMDCallBack");
  MakeDword(0x00005790);
  MakeName(0x000052E0, "sceUmdManUnRegisterInsertEjectUMDCallBack");
  MakeFunction(0x000052E0, BADADDR);
  MakeName(0x00005794, "import9_sceUmdManGetPowerStat");
  MakeDword(0x00005794);
  MakeName(0x000052E8, "sceUmdManGetPowerStat");
  MakeFunction(0x000052E8, BADADDR);
  MakeName(0x00005798, "import9_sceUmdManGetUmdDrive");
  MakeDword(0x00005798);
  MakeName(0x000052F0, "sceUmdManGetUmdDrive");
  MakeFunction(0x000052F0, BADADDR);
  MakeName(0x0000579C, "import9_sceUmdManGetIntrStateFlag");
  MakeDword(0x0000579C);
  MakeName(0x000052F8, "sceUmdManGetIntrStateFlag");
  MakeFunction(0x000052F8, BADADDR);
  MakeName(0x000057A0, "import9_sceUmdExecReadCapacityCmd");
  MakeDword(0x000057A0);
  MakeName(0x00005300, "sceUmdExecReadCapacityCmd");
  MakeFunction(0x00005300, BADADDR);
  MakeName(0x000057A4, "import9_sceUmdMan_driver_63ACFD28");
  MakeDword(0x000057A4);
  MakeName(0x00005308, "sceUmdMan_driver_63ACFD28");
  MakeFunction(0x00005308, BADADDR);
  MakeName(0x000057A8, "import9_sceUmdMan_driver_65D0DEC6");
  MakeDword(0x000057A8);
  MakeName(0x00005310, "sceUmdMan_driver_65D0DEC6");
  MakeFunction(0x00005310, BADADDR);
  MakeName(0x000057AC, "import9_sceUmdExecClearCacheInfoCmd");
  MakeDword(0x000057AC);
  MakeName(0x00005318, "sceUmdExecClearCacheInfoCmd");
  MakeFunction(0x00005318, BADADDR);
  MakeName(0x000057B0, "import9_sceUmdMan_driver_77E6C03A");
  MakeDword(0x000057B0);
  MakeName(0x00005320, "sceUmdMan_driver_77E6C03A");
  MakeFunction(0x00005320, BADADDR);
  MakeName(0x000057B4, "import9_sceUmdManSPKGetMKI");
  MakeDword(0x000057B4);
  MakeName(0x00005328, "sceUmdManSPKGetMKI");
  MakeFunction(0x00005328, BADADDR);
  MakeName(0x000057B8, "import9_sceUmdManSetAlarm");
  MakeDword(0x000057B8);
  MakeName(0x00005330, "sceUmdManSetAlarm");
  MakeFunction(0x00005330, BADADDR);
  MakeName(0x000057BC, "import9_sceUmdMan_driver_84410A8E");
  MakeDword(0x000057BC);
  MakeName(0x00005338, "sceUmdMan_driver_84410A8E");
  MakeFunction(0x00005338, BADADDR);
  MakeName(0x000057C0, "import9_sceUmdManGetDiscInfo");
  MakeDword(0x000057C0);
  MakeName(0x00005340, "sceUmdManGetDiscInfo");
  MakeFunction(0x00005340, BADADDR);
  MakeName(0x000057C4, "import9_sceUmdMan_driver_8634FFC7");
  MakeDword(0x000057C4);
  MakeName(0x00005348, "sceUmdMan_driver_8634FFC7");
  MakeFunction(0x00005348, BADADDR);
  MakeName(0x000057C8, "import9_sceUmdExecReportCacheCmd");
  MakeDword(0x000057C8);
  MakeName(0x00005350, "sceUmdExecReportCacheCmd");
  MakeFunction(0x00005350, BADADDR);
  MakeName(0x000057CC, "import9_sceUmdMan_driver_A869CAB3");
  MakeDword(0x000057CC);
  MakeName(0x00005358, "sceUmdMan_driver_A869CAB3");
  MakeFunction(0x00005358, BADADDR);
  MakeName(0x000057D0, "import9_sceUmdManGetDiscInfo4VSH");
  MakeDword(0x000057D0);
  MakeName(0x00005360, "sceUmdManGetDiscInfo4VSH");
  MakeFunction(0x00005360, BADADDR);
  MakeName(0x000057D4, "import9_sceUmdManSignalSema");
  MakeDword(0x000057D4);
  MakeName(0x00005368, "sceUmdManSignalSema");
  MakeFunction(0x00005368, BADADDR);
  MakeName(0x000057D8, "import9_sceUmdManCancelAlarm");
  MakeDword(0x000057D8);
  MakeName(0x00005370, "sceUmdManCancelAlarm");
  MakeFunction(0x00005370, BADADDR);
  MakeName(0x000057DC, "import9_sceUmdManCheckDeviceReady");
  MakeDword(0x000057DC);
  MakeName(0x00005378, "sceUmdManCheckDeviceReady");
  MakeFunction(0x00005378, BADADDR);
  MakeName(0x000057E0, "import9_sceUmdManRegisterInsertEjectUMDCallBack");
  MakeDword(0x000057E0);
  MakeName(0x00005380, "sceUmdManRegisterInsertEjectUMDCallBack");
  MakeFunction(0x00005380, BADADDR);
  MakeName(0x000057E4, "import9_sceUmdManChangePowerMode");
  MakeDword(0x000057E4);
  MakeName(0x00005388, "sceUmdManChangePowerMode");
  MakeFunction(0x00005388, BADADDR);
  MakeName(0x000057E8, "import9_sceUmdManStop");
  MakeDword(0x000057E8);
  MakeName(0x00005390, "sceUmdManStop");
  MakeFunction(0x00005390, BADADDR);
  MakeName(0x000057EC, "import9_sceUmdManActivate");
  MakeDword(0x000057EC);
  MakeName(0x00005398, "sceUmdManActivate");
  MakeFunction(0x00005398, BADADDR);
  MakeName(0x000057F0, "import9_sceUmdMan_driver_CEA5C857");
  MakeDword(0x000057F0);
  MakeName(0x000053A0, "sceUmdMan_driver_CEA5C857");
  MakeFunction(0x000053A0, BADADDR);
  MakeName(0x000057F4, "import9_sceUmdExecModSelectCmd");
  MakeDword(0x000057F4);
  MakeName(0x000053A8, "sceUmdExecModSelectCmd");
  MakeFunction(0x000053A8, BADADDR);
  MakeName(0x000057F8, "import9_sceUmdManGetCommandTimerFlag");
  MakeDword(0x000057F8);
  MakeName(0x000053B0, "sceUmdManGetCommandTimerFlag");
  MakeFunction(0x000053B0, BADADDR);
  MakeName(0x000057FC, "import9_sceUmdExecSetLockLengthCmd");
  MakeDword(0x000057FC);
  MakeName(0x000053B8, "sceUmdExecSetLockLengthCmd");
  MakeFunction(0x000053B8, BADADDR);
  MakeName(0x00005800, "import9_sceUmdManGetUmdDiscInfo");
  MakeDword(0x00005800);
  MakeName(0x000053C0, "sceUmdManGetUmdDiscInfo");
  MakeFunction(0x000053C0, BADADDR);
  MakeName(0x00005804, "import9_sceUmdExecMechaStatCmd");
  MakeDword(0x00005804);
  MakeName(0x000053C8, "sceUmdExecMechaStatCmd");
  MakeFunction(0x000053C8, BADADDR);
  MakeName(0x00005808, "import9_sceUmdManGetInquiry");
  MakeDword(0x00005808);
  MakeName(0x000053D0, "sceUmdManGetInquiry");
  MakeFunction(0x000053D0, BADADDR);
  MakeName(0x0000580C, "import9_sceUmdMan_driver_F4AFF62D");
  MakeDword(0x0000580C);
  MakeName(0x000053D8, "sceUmdMan_driver_F4AFF62D");
  MakeFunction(0x000053D8, BADADDR);
  MakeName(0x00005810, "import9_sceUmdManValidateUMD");
  MakeDword(0x00005810);
  MakeName(0x000053E0, "sceUmdManValidateUMD");
  MakeFunction(0x000053E0, BADADDR);
  MakeName(0x000054E8, "import10");
  MakeDword(0x000054E8);
  OpOff(0x000054E8, 0, 0);
  MakeName(0x00005614, "import10_name");
  MakeStr(0x00005614, BADADDR);
  MakeName(0x000054EC, "import10_flags");
  MakeDword(0x000054EC);
  MakeName(0x000054F0, "import10_counts");
  MakeDword(0x000054F0);
  MakeName(0x000054F4, "import10_nids");
  MakeDword(0x000054F4);
  OpOff(0x000054F4, 0, 0);
  MakeName(0x000054F8, "import10_funcs");
  MakeDword(0x000054F8);
  OpOff(0x000054F8, 0, 0);
  MakeName(0x00005734, "import10_sceAtaExecSetFeaturesCmd");
  MakeDword(0x00005734);
  MakeName(0x00005228, "sceAtaExecSetFeaturesCmd");
  MakeFunction(0x00005228, BADADDR);
  MakeName(0x00005738, "import10_sceAtaIsDvdDrive");
  MakeDword(0x00005738);
  MakeName(0x00005230, "sceAtaIsDvdDrive");
  MakeFunction(0x00005230, BADADDR);
  MakeName(0x0000573C, "import10_sceAta_driver_6FD8E2AB");
  MakeDword(0x0000573C);
  MakeName(0x00005238, "sceAta_driver_6FD8E2AB");
  MakeFunction(0x00005238, BADADDR);
  MakeName(0x00005740, "import10_sceAtaWaitBusBusyIE");
  MakeDword(0x00005740);
  MakeName(0x00005240, "sceAtaWaitBusBusyIE");
  MakeFunction(0x00005240, BADADDR);
  MakeName(0x00005744, "import10_sceAta_driver_ACCEE63F");
  MakeDword(0x00005744);
  MakeName(0x00005248, "sceAta_driver_ACCEE63F");
  MakeFunction(0x00005248, BADADDR);
  MakeName(0x00005748, "import10_sceAta_driver_BE07B3A7");
  MakeDword(0x00005748);
  MakeName(0x00005250, "sceAta_driver_BE07B3A7");
  MakeFunction(0x00005250, BADADDR);
  MakeName(0x0000574C, "import10_sceAtaIsUmdDrive");
  MakeDword(0x0000574C);
  MakeName(0x00005258, "sceAtaIsUmdDrive");
  MakeFunction(0x00005258, BADADDR);
}

static createExports() {
  MakeName(0x000053F4, "export_0");
  MakeDword(0x000053F4);
  MakeName(0x000053F8, "export_0_flags");
  MakeDword(0x000053F8);
  MakeName(0x000053FC, "export_0_counts");
  MakeDword(0x000053FC);
  MakeName(0x00005400, "export_0_exports");
  MakeDword(0x00005400);
  OpOff(0x00005400, 0, 0);
  MakeName(0x00005624, "export_0_module_start");
  MakeDword(0x00005624);
  MakeName(0x00005630, "");
  MakeDword(0x00005630);
  OpOff(0x00005630, 0, 0);
  MakeName(0x00000A1C, "module_start");
  MakeFunction(0x00000A1C, BADADDR);
  MakeName(0x00005628, "export_0_module_reboot_before");
  MakeDword(0x00005628);
  MakeName(0x00005634, "");
  MakeDword(0x00005634);
  OpOff(0x00005634, 0, 0);
  MakeName(0x00003DF0, "module_reboot_before");
  MakeFunction(0x00003DF0, BADADDR);
  MakeName(0x0000562C, "export_0_module_info");
  MakeDword(0x0000562C);
  MakeName(0x00005638, "");
  MakeDword(0x00005638);
  OpOff(0x00005638, 0, 0);
  MakeName(0x00005404, "export_1");
  MakeDword(0x00005404);
  OpOff(0x00005404, 0, 0);
  MakeName(0x0000563C, "export_1_name");
  MakeStr(0x0000563C, BADADDR);
  MakeName(0x00005408, "export_1_flags");
  MakeDword(0x00005408);
  MakeName(0x0000540C, "export_1_counts");
  MakeDword(0x0000540C);
  MakeName(0x00005410, "export_1_exports");
  MakeDword(0x00005410);
  OpOff(0x00005410, 0, 0);
  MakeName(0x00005650, "export_1_sceUmd9660GetDrive");
  MakeDword(0x00005650);
  MakeName(0x00005688, "");
  MakeDword(0x00005688);
  OpOff(0x00005688, 0, 0);
  MakeName(0x00001934, "sceUmd9660GetDrive");
  MakeFunction(0x00001934, BADADDR);
  MakeName(0x00005654, "export_1_sceUmd9660InvalidateDeviceName");
  MakeDword(0x00005654);
  MakeName(0x0000568C, "");
  MakeDword(0x0000568C);
  OpOff(0x0000568C, 0, 0);
  MakeName(0x00002560, "sceUmd9660InvalidateDeviceName");
  MakeFunction(0x00002560, BADADDR);
  MakeName(0x00005658, "export_1_sceUmd9660_driver_2C6C3F4C");
  MakeDword(0x00005658);
  MakeName(0x00005690, "");
  MakeDword(0x00005690);
  OpOff(0x00005690, 0, 0);
  MakeName(0x0000509C, "sceUmd9660_driver_2C6C3F4C");
  MakeFunction(0x0000509C, BADADDR);
  MakeName(0x0000565C, "export_1_sceUmd9660_driver_3C150E0D");
  MakeDword(0x0000565C);
  MakeName(0x00005694, "");
  MakeDword(0x00005694);
  OpOff(0x00005694, 0, 0);
  MakeName(0x000050CC, "sceUmd9660_driver_3C150E0D");
  MakeFunction(0x000050CC, BADADDR);
  MakeName(0x00005660, "export_1_sceUmd9660_driver_44EF600C");
  MakeDword(0x00005660);
  MakeName(0x00005698, "");
  MakeDword(0x00005698);
  OpOff(0x00005698, 0, 0);
  MakeName(0x000050B4, "sceUmd9660_driver_44EF600C");
  MakeFunction(0x000050B4, BADADDR);
  MakeName(0x00005664, "export_1_sceUmd9660ReadPvd");
  MakeDword(0x00005664);
  MakeName(0x0000569C, "");
  MakeDword(0x0000569C);
  OpOff(0x0000569C, 0, 0);
  MakeName(0x0000393C, "sceUmd9660ReadPvd");
  MakeFunction(0x0000393C, BADADDR);
  MakeName(0x00005668, "export_1_sceUmd9660Init");
  MakeDword(0x00005668);
  MakeName(0x000056A0, "");
  MakeDword(0x000056A0);
  OpOff(0x000056A0, 0, 0);
  MakeName(0x000013C8, "sceUmd9660Init");
  MakeFunction(0x000013C8, BADADDR);
  MakeName(0x0000566C, "export_1_sceUmd9660ReadPathTable");
  MakeDword(0x0000566C);
  MakeName(0x000056A4, "");
  MakeDword(0x000056A4);
  OpOff(0x000056A4, 0, 0);
  MakeName(0x00003980, "sceUmd9660ReadPathTable");
  MakeFunction(0x00003980, BADADDR);
  MakeName(0x00005670, "export_1_sceUmd9660_driver_C7CD9CE8");
  MakeDword(0x00005670);
  MakeName(0x000056A8, "");
  MakeDword(0x000056A8);
  OpOff(0x000056A8, 0, 0);
  MakeName(0x000050A8, "sceUmd9660_driver_C7CD9CE8");
  MakeFunction(0x000050A8, BADADDR);
  MakeName(0x00005674, "export_1_sceUmd9660_driver_CAAFFE8D");
  MakeDword(0x00005674);
  MakeName(0x000056AC, "");
  MakeDword(0x000056AC);
  OpOff(0x000056AC, 0, 0);
  MakeName(0x000050C0, "sceUmd9660_driver_CAAFFE8D");
  MakeFunction(0x000050C0, BADADDR);
  MakeName(0x00005678, "export_1_sceUmd9660GetUnitNum");
  MakeDword(0x00005678);
  MakeName(0x000056B0, "");
  MakeDword(0x000056B0);
  OpOff(0x000056B0, 0, 0);
  MakeName(0x000027A0, "sceUmd9660GetUnitNum");
  MakeFunction(0x000027A0, BADADDR);
  MakeName(0x0000567C, "export_1_sceUmd9660Term");
  MakeDword(0x0000567C);
  MakeName(0x000056B4, "");
  MakeDword(0x000056B4);
  OpOff(0x000056B4, 0, 0);
  MakeName(0x000028DC, "sceUmd9660Term");
  MakeFunction(0x000028DC, BADADDR);
  MakeName(0x00005680, "export_1_sceUmd9660SetPFI");
  MakeDword(0x00005680);
  MakeName(0x000056B8, "");
  MakeDword(0x000056B8);
  OpOff(0x000056B8, 0, 0);
  MakeName(0x000016C4, "sceUmd9660SetPFI");
  MakeFunction(0x000016C4, BADADDR);
  MakeName(0x00005684, "export_1_sceUmd9660_driver_F42C0AEE");
  MakeDword(0x00005684);
  MakeName(0x000056BC, "");
  MakeDword(0x000056BC);
  OpOff(0x000056BC, 0, 0);
  MakeName(0x00005060, "sceUmd9660_driver_F42C0AEE");
  MakeFunction(0x00005060, BADADDR);
}

static createRelocs() {
}

